Start typing to search.

API Reference

Archive a dashboard template

View Markdown
PATCH /api/dashboard-templates/{id}/archive

Archive a dashboard template

Operation IDarchiveDashboardTemplate

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Success response body

200Archived template

Archived template

Content typeapplication/json

responseobject
9 properties
idinteger
job_template_idinteger
namestring
descriptionstring | null
yaml_contentstring
statusstring
created_atstring · date-time
updated_atstring | null · date-time
linked_dashboard_countinteger

Present on GET detail — count of job dashboards referencing this template

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}